%global npmname wordwrap
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Wrap your words
Name: nodejs-%{npmname}
Version: 0.0.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: git://github.com/substack/node-wordwrap
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Wrap those words. Show them at what columns to start and stop. 

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore index.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%files
%doc README.markdown example
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.2-1
- Initial build using tchor spec template

